petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDSGetDiscretization

Returns the discretization object for the given field

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetDiscretization(PetscDS prob, PetscInt f, PetscObject *disc)

Not collective Many br

### Input Parameters

| prob | - The PetscDS object Many br
| f | - The field number Many br

### Output Parameter

disc -The discretization object Many br

Many br

### See Also

PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetBdDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages